gnutls_x509_crt_check_revocation(3)

NAME
gnutls_x509_crt_check_revocation - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_check_revocation(gnutls_x509_crt_t cert, const gnutls_x509_crl_t * crl_list, unsigned crl_list_length);

ARGUMENTS

gnutls_x509_crt_t cert
    should contain a gnutls_x509_crt_t type

const gnutls_x509_crl_t * crl_list
    should contain a list of gnutls_x509_crl_t types

unsigned crl_list_length
    the length of the crl_list

DESCRIPTION
This function will check if the given certificate is revoked. It is assumed that the CRLs have been verified before.

RETURNS
0 if the certificate is NOT revoked, and 1 if it is. A negative error code is returned on error.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/